Product Feed API (v1.0)

Download OpenAPI description
Languages
Servers
Playground

https://{slug}.api-se.playground.norce.tech/commerce/productfeed/1.0/

Stage

https://{slug}.api-se.stage.norce.tech/commerce/productfeed/1.0/

Production

https://{slug}.api-se.norce.tech/commerce/productfeed/1.0/

Schemas

Exports

Operations

Product Export

Request

Headers
applicationIdinteger(int32)
Body
channelKeystring(uuid)
deltaFromDatestring or null(date-time)
channelIdstring(uuid)Deprecated
endpointUrlstring or nullDeprecated
curl -i -X POST \
  https://customer-slug.api-se.playground.norce.tech/commerce/productfeed/1.0/api/v1/exports/product \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "channelKey": "e6d1a5c6-7228-4d3b-a608-78133d5df10d",
    "deltaFromDate": "2019-08-24T14:15:22Z",
    "channelId": "5f6d08bc-455a-4532-98b8-19e2cee51160",
    "endpointUrl": "string"
  }'

Responses

OK

Body
codestring(ResponseCode)
Enum"Success""AlreadyInProgress""NoData""Failed"
jobKeystring or null
dataUrlstring or null
contentTypestring or null
itemsTotalinteger(int32)
Response
No response example

Product Status Export

Request

Headers
applicationIdinteger(int32)
Body
channelKeystring(uuid)
deltaFromDatestring or null(date-time)
channelIdstring(uuid)Deprecated
endpointUrlstring or nullDeprecated
curl -i -X POST \
  https://customer-slug.api-se.playground.norce.tech/commerce/productfeed/1.0/api/v1/exports/productstatus \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "channelKey": "e6d1a5c6-7228-4d3b-a608-78133d5df10d",
    "deltaFromDate": "2019-08-24T14:15:22Z",
    "channelId": "5f6d08bc-455a-4532-98b8-19e2cee51160",
    "endpointUrl": "string"
  }'

Responses

OK

Body
codestring(ResponseCode)
Enum"Success""AlreadyInProgress""NoData""Failed"
jobKeystring or null
dataUrlstring or null
contentTypestring or null
itemsTotalinteger(int32)
Response
No response example

Jobs

Operations